Draft Array: Difference between revisions

From FreeCAD Documentation
m (<!--T:4-->)
(Marked this version for translation)
Line 26: Line 26:
## {{PropertyData|Number Polar}}: The number of copies
## {{PropertyData|Number Polar}}: The number of copies


==Scripting==
==Scripting== <!--T:18-->
The Array tool can by used in [[macros]] and from the python console by using one of the following functions, depending if you wish to obtain simple, standalone copies of your base object, or a parametric array object, that stays linked to the original object.
The Array tool can by used in [[macros]] and from the python console by using one of the following functions, depending if you wish to obtain simple, standalone copies of your base object, or a parametric array object, that stays linked to the original object.



Revision as of 16:52, 2 February 2017

Draft Array

Menu location
Draft → Array
Workbenches
Draft, Arch
Default shortcut
None
Introduced in version
-
See also
PathArray

Description

The Array tool creates an orthogonal (3-axes) or polar array from a selected object. If no object is selected, you will be invited to select one.

How to use

  1. Select an object you wish to make an array with
  2. Press the Draft Array button
  3. Select DataArray Type: Specifies the type of the array, ortho or polar
  4. For orthogonal arrays:
    1. DataInterval X: The interval between each copy on the first axis
    2. DataInterval Y: The interval between each copy on the second axis
    3. DataInterval Z: The interval between each copy on the third axis
    4. DataNumber X: The number of copies on the first axis
    5. DataNumber Y: The number of copies on the second axis
    6. DataNumber Z: The number of copies on the third axis
  5. For polar arrays:
    1. DataAxis: The normal direction of the array circle
    2. DataCenter: The center point of the array
    3. DataAngle: The angle to cover with copies
    4. DataNumber Polar: The number of copies

Scripting

The Array tool can by used in macros and from the python console by using one of the following functions, depending if you wish to obtain simple, standalone copies of your base object, or a parametric array object, that stays linked to the original object.

Simple array

For rectangular array:

array (objectslist,xvector,yvector,xnum,ynum,[zvector,znum])

For polar array:

array (objectslist,center,totalangle,totalnum)
  • Creates an array of the objects contained in list (that can be an object or a list of objects) with, in case of rectangular array, xnum of iterations in the x direction at xvector distance between iterations, and same for y direction with yvector and ynum. In case of polar array, center is a vector, totalangle is the angle to cover (in degrees) and totalnum is the number of objects, including the original.
  • This function produces standalone copies of the base object(s)

Parametric array

For rectangular array:

makeArray (object,xvector,yvector,xnum,ynum)

For polar array:

makeArray (object,center,totalangle,totalnum)
  • Creates an array of the given object with, in case of rectangular array, xnum of iterations in the x direction at xvector distance between iterations, and same for y direction with yvector and ynum. In case of polar array, center is a vector, totalangle is the angle to cover (in degrees) and totalnum is the number of objects, including the original.
  • The result of this function is a parametric Draft Array object.

Example:

import FreeCAD,Draft
Draft.array(FreeCAD.ActiveDocument.ActiveObject,FreeCAD.Vector(2,0,0),FreeCAD.Vector(0,2,0),2,2)